OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
CompReplaceOp< TreeT > Struct Template Reference

`#include <Composite.h>`

## Public Member Functions
| CompReplaceOp (TreeT &_aTree)
void | operator() (const typename TreeT::ValueOnCIter &iter) const
void | operator() (const typename TreeT::LeafCIter &leafIter) const

## Public Attributes
TreeT *const | aTree

## Constructor & Destructor Documentation

## ◆ CompReplaceOp()

CompReplaceOp | ( | TreeT & | _aTree | ) |
| inline

## Member Function Documentation

## ◆ operator()() [1/2]

void operator() | ( | const typename TreeT::LeafCIter & | leafIter | ) | const
| inline

## ◆ operator()() [2/2]

void operator() | ( | const typename TreeT::ValueOnCIter & | iter | ) | const
| inline

Note
  fill operation is not thread safe

## Member Data Documentation

## ◆ aTree

TreeT* const aTree

The documentation for this struct was generated from the following file:

- Composite.h